Loading...
Searching...
No Matches
Function classes
Foundation Classes » Mathematics

## Classes

class | BALL::ConstantFunction< constant_template >
class | BALL::NumericalIntegrator< Function, DataType >
class | BALL::ParsedFunction< arg >
class | BALL::PiecewisePolynomial
class | BALL::RombergIntegrator< Function, DataType >

## Typedefs

typedef std::vector< double > | BALL::Coefficients

## Variables

StringHashMap< double * > * | BALL::ParsedFunctionConstants
StringHashMap< double(*)(double)> * | BALL::ParsedFunctionFunctions

## Constructors and Destructors

| BALL::ParsedFunction< arg >::ParsedFunction ()
| Default constructor.
| BALL::ParsedFunction< arg >::ParsedFunction (const String &expression)
| Detailed constructor.
| BALL::ParsedFunction< arg >::ParsedFunction (const ParsedFunction &func)
| Copy constructor.
| BALL::ParsedFunction< arg >::~ParsedFunction ()
| Destructor.

## Accessors

double | BALL::ParsedFunction< arg >::operator() (arg p)

## Parsing

void | BALL::ParsedFunction< arg >::initTable ()

## Detailed Description

## Typedef Documentation

## Coefficients

typedef std::vector<double> BALL::Coefficients

Every piece of a piecewise function needs a bunch of coefficients

Definition at line 19 of file piecewiseFunction.h.

## Function Documentation

## ParsedFunction() [1/3]

template<typename arg>

BALL::ParsedFunction< arg >::ParsedFunction | ( |  | ) |

Default constructor.

Definition at line 89 of file parsedFunction.h.

## ParsedFunction() [2/3]

template<typename arg>

BALL::ParsedFunction< arg >::ParsedFunction | ( | const ParsedFunction< arg > & | func | ) |

Copy constructor.

Definition at line 107 of file parsedFunction.h.

## ParsedFunction() [3/3]

template<typename arg>

BALL::ParsedFunction< arg >::ParsedFunction | ( | const String & | expression | ) |

Detailed constructor.

Definition at line 98 of file parsedFunction.h.

## ~ParsedFunction()

template<typename arg>

BALL::ParsedFunction< arg >::~ParsedFunction | ( |  | ) |

Destructor.

Definition at line 116 of file parsedFunction.h.

## initTable()

template<typename arg>

void BALL::ParsedFunction< arg >::initTable | ( |  | ) |

This function initializes the function table and the constant table of our parser.

Definition at line 140 of file parsedFunction.h.

## operator()()

template<typename arg>

double BALL::ParsedFunction< arg >::operator() | ( | arg | p | ) |

Evaluate the function at point .

Exceptions

  Exception::ParseError | if a syntax error was encountered

Definition at line 121 of file parsedFunction.h.

## Variable Documentation

## ParsedFunctionConstants

StringHashMap<double*>* BALL::ParsedFunctionConstants

extern

## ParsedFunctionFunctions

StringHashMap<double (*)(double)>* BALL::ParsedFunctionFunctions

extern